libwps Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Enumerations | Functions
libwps Namespace Reference

## Namespaces
| Debug

## Classes
class | DebugFile
class | DebugStream
class | FileException
class | GenericException
class | ParseException
class | VersionException
class | WPSDocument
| This class provides all the functions an application would need to parse Works documents. More...

## Enumerations
enum | NumberingType { NONE, BULLET, ARABIC, LOWERCASE, UPPERCASE, LOWERCASE_ROMAN, UPPERCASE_ROMAN }
enum | SubDocumentType { DOC_NONE, DOC_HEADER_FOOTER, DOC_NOTE, DOC_TABLE, DOC_TEXT_BOX, DOC_COMMENT_ANNOTATION }
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
enum | WPSConfidence { WPS_CONFIDENCE_NONE =0, WPS_CONFIDENCE_EXCELLENT, WPS_CONFIDENCE_SUPPORTED_ENCRYPTION }
enum | WPSCreator { WPS_MSWORKS =0, WPS_LOTUS, WPS_QUATTRO_PRO, WPS_SYMPHONY, WPS_RESERVED_0, WPS_RESERVED_1, WPS_RESERVED_2, WPS_RESERVED_3, WPS_RESERVED_4, WPS_RESERVED_5, WPS_RESERVED_6, WPS_RESERVED_7, WPS_RESERVED_8, WPS_MSWRITE =WPS_RESERVED_0, WPS_DOSWORD =WPS_RESERVED_1 }
enum | WPSKind { WPS_TEXT =0, WPS_SPREADSHEET, WPS_DATABASE }
enum | WPSResult { WPS_OK, WPS_ENCRYPTION_ERROR, WPS_FILE_ACCESS_ERROR, WPS_PARSE_ERROR, WPS_OLE_ERROR, WPS_UNKNOWN_ERROR }

## Functions
uint8_t | readU8 (librevenge::RVNGInputStream *input)
int8_t | read8 (librevenge::RVNGInputStream *input)
uint16_t | readU16 (librevenge::RVNGInputStream *input)
int16_t | read16 (librevenge::RVNGInputStream *input)
uint32_t | readU32 (librevenge::RVNGInputStream *input)
int32_t | read32 (librevenge::RVNGInputStream *input)
bool | readDouble4 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: mantisse 2.5 bytes, exponent 1.5 bytes More...
bool | readDouble8 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 8 bytes: mantisse 6.5 bytes, exponent 1.5 bytes More...
bool | readDouble10 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 10 bytes: mantisse 8 bytes, exponent 2 bytes More...
bool | readDouble2Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 2 bytes: exponent 1.5 bytes, kind of mantisse 0.5 bytes More...
bool | readDouble4Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: exponent 3.5 bytes, mantisse 0.5 bytes More...
bool | readData (RVNGInputStreamPtr &input, unsigned long sz, librevenge::RVNGBinaryData &data)
| try to read sz bytes from input and store them in a librevenge::RVNGBinaryData More...
bool | readDataToEnd (RVNGInputStreamPtr &input, librevenge::RVNGBinaryData &data)
| try to read the last bytes from input and store them in a librevenge::RVNGBinaryData More...
std::string | numberingTypeToString (NumberingType type)
void | appendUnicode (uint32_t val, librevenge::RVNGString &buffer)
| adds an unicode character to a string ( with correct encoding ). More...
uint8_t | readU8 (RVNGInputStreamPtr &input)
uint16_t | readU16 (RVNGInputStreamPtr &input)
uint32_t | readU32 (RVNGInputStreamPtr &input)
int8_t | read8 (RVNGInputStreamPtr &input)
int16_t | read16 (RVNGInputStreamPtr &input)
int32_t | read32 (RVNGInputStreamPtr &input)

## Enumeration Type Documentation

anonymous enum

Enumerator
NoBreakBit |
NoBreakWithNextBit |

enum libwps::Justification

Enumerator
JustificationLeft |
JustificationFull |
JustificationCenter |
JustificationRight |
JustificationFullAllLines |

enum libwps::NumberingType

Enumerator
NONE |
BULLET |
ARABIC |
LOWERCASE |
UPPERCASE |
LOWERCASE_ROMAN |
UPPERCASE_ROMAN |

enum libwps::SubDocumentType

Enumerator
DOC_NONE |
DOC_HEADER_FOOTER |
DOC_NOTE |
DOC_TABLE |
DOC_TEXT_BOX |
DOC_COMMENT_ANNOTATION |

enum libwps::WPSConfidence

Enumerator
WPS_CONFIDENCE_NONE |
WPS_CONFIDENCE_EXCELLENT |
WPS_CONFIDENCE_SUPPORTED_ENCRYPTION |

enum libwps::WPSCreator

Enumerator
WPS_MSWORKS | Microsoft Works documents (all wps, wks and wdb)
WPS_LOTUS | Lotus DOS(Wk1), Apple(Lotus 123 v1), Windows(Wk3,Wk4) spreadsheets.
WPS_QUATTRO_PRO | Quattro Pro Wq1 and Wq2 spreadsheets(minimum filter)
WPS_SYMPHONY | Lotus Symphony files(untested, probably DOS documents)
WPS_RESERVED_0 |
WPS_RESERVED_1 |
WPS_RESERVED_2 |
WPS_RESERVED_3 |
WPS_RESERVED_4 |
WPS_RESERVED_5 |
WPS_RESERVED_6 |
WPS_RESERVED_7 |
WPS_RESERVED_8 |
WPS_MSWRITE |
WPS_DOSWORD |

enum libwps::WPSKind

Enumerator
WPS_TEXT |
WPS_SPREADSHEET |
WPS_DATABASE |

enum libwps::WPSResult

Enumerator
WPS_OK |
WPS_ENCRYPTION_ERROR |
WPS_FILE_ACCESS_ERROR |
WPS_PARSE_ERROR |
WPS_OLE_ERROR |
WPS_UNKNOWN_ERROR |

## Function Documentation

void libwps::appendUnicode | ( | uint32_t | val,
|  | librevenge::RVNGString & | buffer
| ) |  |

adds an unicode character to a string ( with correct encoding ).

Referenced by WPS4Text::footNotesDataParser(), WPSContentListener::insertUnicode(), WKSContentListener::insertUnicode(), read32(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), LotusSpreadsheet::readSheetName(), WPS8Text::readString(), WKS4Spreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), LotusSpreadsheet::sendCellContent(), libwps_tools_win::unicodeFromCP932(), libwps_tools_win::unicodeFromCP950(), and libwps_tools_win::Font::unicodeString().

std::string libwps::numberingTypeToString | ( | NumberingType | type | ) |

Referenced by WPSPageSpan::_insertPageNumberParagraph(), WPSList::Level::addTo(), and WPSField::addTo().

int16_t libwps::read16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::checkHeader(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS8Text::getFooterEntry(), WPS8Text::getHeaderEntry(), WPS4Text::objectDataParser(), WPS8Struct::operator<<(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS8Graph::readBDR(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroSpreadsheet::readCellFormulaResult(), WKS4Spreadsheet::readCellFormulaResult(), LotusSpreadsheet::readCellName(), QuattroSpreadsheet::readCellProperty(), QuattroSpreadsheet::readCellStyle(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), QuattroParser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), LotusSpreadsheet::readColumnDefinition(), QuattroSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), LotusParser::readDataZone(), WPS8Parser::readDocProperties(), LotusParser::readDocumentInfoMac(), WPS4Parser::readDocWindowsInfo(), WPSTextParser::readFDP(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), LotusParser::readFMTFontName(), WKS4Parser::readFont(), QuattroSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), WPS8Parser::readFRAM(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), QuattroSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), WPS8Graph::readIBGF(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), WPS8Table::readMCLD(), WPS8Graph::readMetaFile(), WPSOLEParser::readMM(), WKS4Spreadsheet::readMsWorksColumnSize(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WKS4Spreadsheet::readMsWorksPageBreak(), WKS4Spreadsheet::readMsWorksRowSize(), WKS4Spreadsheet::readMsWorksStyle(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readObjInfo(), WPSOLEParser::readOlePres(), WPS4Text::readParagraph(), WPS8Text::readPLC(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormats(), QuattroSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), WPS8TextStyle::readSGP(), LotusSpreadsheet::readSheetName(), QuattroSpreadsheet::readSheetSize(), WKS4Spreadsheet::readSheetSize(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readUserFonts(), QuattroSpreadsheet::readUserStyle(), QuattroParser::readWindowRecord(), WKS4Parser::readWindowRecord(), WPS8Parser::readWNPR(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), LotusGraph::readZoneData(), and WPS8Text::tokenEndDataParser().

int16_t libwps::read16 | ( | RVNGInputStreamPtr & | input | ) |
| inline

int32_t libwps::read32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPS4Parser::findZones(), WPSOLEParser::isOle10Native(), WPSOLEParser::isOlePres(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readEntries(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Table::readMCLD(), WPS8Graph::readMetaFile(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), WKS4Parser::readPrn2(), WPS4Parser::readPrnt(), WPS8Parser::readSPELLING(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Parser::readWNPR(), and WPS8Text::tokenEndDataParser().

int32_t libwps::read32 | ( | RVNGInputStreamPtr & | input | ) |
| inline

int8_t libwps::read8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::checkHeader(), WPS4Parser::findZones(), WPS8Graph::readBDR(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartList(), LotusParser::readDataZone(), LotusParser::readDocumentInfoMac(), WPS4Parser::readDocWindowsInfo(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), WPS4Text::readFont(), WPS8TextStyle::readFontNames(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WPS8Text::readNotes(), WPSOLEParser::readOle(), WPS4Text::readParagraph(), WPS8Text::readPLC(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), and LotusGraph::readZoneData().

int8_t libwps::read8 | ( | RVNGInputStreamPtr & | input | ) |
| inline

bool libwps::readData | ( | RVNGInputStreamPtr & | input,
|  | unsigned long | size,
|  | librevenge::RVNGBinaryData & | data
| ) |  |

try to read sz bytes from input and store them in a librevenge::RVNGBinaryData

Referenced by read32(), WPSOLEParser::readContents(), readDataToEnd(), WPS8Graph::readMetaFile(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), LotusGraph::readPictureData(), and LotusGraph::sendPicture().

bool libwps::readDataToEnd | ( | RVNGInputStreamPtr & | input,
|  | librevenge::RVNGBinaryData & | data
| ) |  |

try to read the last bytes from input and store them in a librevenge::RVNGBinaryData

Referenced by WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), read32(), WPSOLEParser::readCONTENTS(), and WPSOLEParser::readMN0AndCheckWKS().

bool libwps::readDouble10 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 10 bytes: mantisse 8 bytes, exponent 2 bytes

Referenced by read32(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

bool libwps::readDouble2Inv | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 2 bytes: exponent 1.5 bytes, kind of mantisse 0.5 bytes

Referenced by read32(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

bool libwps::readDouble4 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 4 bytes: mantisse 2.5 bytes, exponent 1.5 bytes

(first&3)==1: is used to decide if we store 100*N or N., (first&3)==2: indicates a basic int number (appears mainly when converting a dos file in a windows file) (first&3)==3: Can this exist ? What does this mean: 100*a basic int ? The other bytes seem to have classic meaning...

Referenced by read32(), and WKS4Spreadsheet::readCell().

bool libwps::readDouble4Inv | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 4 bytes: exponent 3.5 bytes, mantisse 0.5 bytes

Referenced by read32(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

bool libwps::readDouble8 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 8 bytes: mantisse 6.5 bytes, exponent 1.5 bytes

Referenced by read32(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), and WKS4Spreadsheet::readFormula().

uint16_t libwps::readU16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), DosWordParser::checkHeader(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::checkHeader(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), WPS4Text::defDataParser(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS4Text::footNotesDataParser(), DosWordParser::getFileEncoding(), WPS8Text::numPages(), WPS8Struct::operator<<(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read16(), WPS8Struct::readBlockData(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroSpreadsheet::readCellFormulaResult(), WKS4Spreadsheet::readCellFormulaResult(), LotusSpreadsheet::readCellName(), QuattroSpreadsheet::readCellProperty(), QuattroSpreadsheet::readCellStyle(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), QuattroParser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), LotusStyleManager::readColorStyle(), LotusSpreadsheet::readColumnDefinition(), QuattroSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), LotusParser::readDataZone(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Text::readDosLink(), readDouble10(), readDouble2Inv(), readDouble4(), WPSTextParser::readFDP(), MSWriteParser::readFFNTB(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), WKS4Spreadsheet::readFilterClose(), WKS4Spreadsheet::readFilterOpen(), LotusParser::readFMTFontName(), DosWordParser::readFNTB(), MSWriteParser::readFOD(), WKS4Parser::readFont(), WPS8TextStyle::readFontNames(), LotusStyleManager::readFontStyle(), LotusStyleManager::readFormatStyle(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), QuattroSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), LotusStyleManager::readLineStyle(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), WPSOLEParser::readMM(), WKS4Spreadsheet::readMsWorksColumnSize(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WKS4Spreadsheet::readMsWorksPageBreak(), WKS4Spreadsheet::readMsWorksRowSize(), WKS4Spreadsheet::readMsWorksStyle(), WPS4Graph::readObject(), LotusGraph::readPictureDefinition(), WPS4Text::readPLC(), WPS8Text::readPLC(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), WKS4Spreadsheet::readReportClose(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormat(), LotusSpreadsheet::readRowFormats(), QuattroSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), DosWordParser::readSECT(), DosWordParser::readSED(), MSWriteParser::readSED(), LotusSpreadsheet::readSheetName(), QuattroSpreadsheet::readSheetSize(), WKS4Spreadsheet::readSheetSize(), QuattroSpreadsheet::readSpreadsheetClose(), QuattroSpreadsheet::readSpreadsheetName(), QuattroSpreadsheet::readSpreadsheetOpen(), WPS8Text::readString(), MSWriteParser::readStructures(), WPS8TextStyle::readSTSH(), DosWordParser::readSUMD(), WPS8Text::readText(), MSWriteParser::readText(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readUserFonts(), QuattroSpreadsheet::readUserStyle(), WPS8Text::readUTF16LE(), QuattroParser::readWindowRecord(), WKS4Parser::readWindowRecord(), WPS8Parser::readWNPR(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), WKS4Parser::readZoneQuattro(), QuattroParser::readZones(), WKS4Parser::readZones(), and LotusParser::readZones().

uint16_t libwps::readU16 | ( | RVNGInputStreamPtr & | input | ) |
| inline

uint32_t libwps::readU32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), WPS4Text::objectDataParser(), WPS8Struct::operator<<(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), MSWriteParser::processEmbeddedOLE(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read32(), WPS8Graph::readBDR(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS4Parser::readDocWindowsInfo(), readDouble4Inv(), WPS4Text::readEntries(), WPSTextParser::readFDP(), MSWriteParser::readFIB(), DosWordParser::readFNTB(), MSWriteParser::readFOD(), WPS8TextStyle::readFontNames(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readOlePres(), WPS8Graph::readPICT(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), DosWordParser::readSED(), MSWriteParser::readSED(), WPS8Parser::readSPELLING(), MSWriteParser::readString(), WPS8Parser::readWNPR(), WKS4Parser::readZone(), and WPS8Text::tokenEndDataParser().

uint32_t libwps::readU32 | ( | RVNGInputStreamPtr & | input | ) |
| inline

uint8_t libwps::readU8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS4Text::bkmkDataParser(), DosWordParser::checkHeader(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::checkHeader(), WPS4Parser::checkHeader(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Text::footNotesDataParser(), MSWriteParser::getHeaderFooters(), WPS4Text::numPages(), WPS8Struct::operator<<(), WPS8Parser::parseHeaderIndexEntry(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read8(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroSpreadsheet::readCellFormulaResult(), WKS4Spreadsheet::readCellFormulaResult(), LotusSpreadsheet::readCellName(), QuattroSpreadsheet::readCellProperty(), LotusStyleManager::readCellStyle(), QuattroSpreadsheet::readCellStyle(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), QuattroParser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), LotusStyleManager::readColorStyle(), LotusSpreadsheet::readColumnDefinition(), QuattroSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), LotusParser::readDataZone(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), readDouble10(), readDouble4(), readDouble8(), WPSTextParser::readFDP(), QuattroParser::readFieldName(), LotusParser::readFMTFontName(), MSWriteParser::readFOD(), WKS4Parser::readFont(), WPS4Text::readFont(), WPS4Text::readFontNames(), LotusStyleManager::readFontStyle(), LotusStyleManager::readFormatStyle(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), LotusStyleManager::readGraphicStyle(), QuattroSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), WPS8Graph::readIBGF(), LotusStyleManager::readLineStyle(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksStyle(), WPS4Graph::readObject(), WPSOLEParser::readOlePres(), WPS4Text::readParagraph(), WPS8Graph::readPICT(), LotusGraph::readPictureData(), LotusGraph::readPictureDefinition(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormat(), LotusSpreadsheet::readRowFormats(), QuattroSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), DosWordParser::readSECT(), MSWriteParser::readSED(), LotusSpreadsheet::readSheetName(), QuattroSpreadsheet::readSpreadsheetName(), DosWordParser::readSUMD(), WPS4Text::readText(), readU16(), readU32(), QuattroSpreadsheet::readUserStyle(), WPS8Parser::readWNPR(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), LotusGraph::readZoneBegin(), LotusGraph::readZoneData(), WKS4Parser::readZoneQuattro(), LotusParser::readZones(), QuattroSpreadsheet::sendCellContent(), WKS4Spreadsheet::sendCellContent(), LotusSpreadsheet::sendCellContent(), and LotusGraph::sendTextBox().

uint8_t libwps::readU8 | ( | RVNGInputStreamPtr & | input | ) |
| inline